#include "Neurons\Neuron.mqh"
#include "Neurons\NeuronMultiLink.mqh"
#include "Neurons\NeuronBias.mqh"
#include "Neurons\NeuronIndicator.mqh"
#include "Neurons\NeuronCycled.mqh"
#include "Neurons\NeuronLinear.mqh"
#include "Neurons\NeuronSigmoid.mqh"
#include "Neurons\NeuronTanh.mqh"
#include "Neurons\NeuronSin.mqh"
#include "Neurons\NeuronCos.mqh"
#include "Neurons\NeuronMSE.mqh"
#include "Neurons\NeuronProfit.mqh"
#include "Neurons\NeuronService.mqh"

//#include "Neurons\NeuronDistance.mqh"
//#include "Neurons\NeuronWinner.mqh"

CNeuron* CreateNeuron(string aClass) {

  CNeuron *n=NULL;
  
  if (aClass=="")           n = new CNeuron;           else
  if (aClass=="BIAS")       n = new CNeuronBias;       else
  if (aClass=="INDICATOR")  n = new CNeuronIndicator;  else 
  if (aClass=="EXTERN")     n = new CNeuronService;    else 
  if (aClass=="MSE")        n = new CNeuronMSE;        else
  if (aClass=="PROFIT")     n = new CNeuronProfit;     else
  if (aClass=="LINEAR")     n = new CNeuronLinear;     else
  if (aClass=="SIGMOID")    n = new CNeuronSigmoid;    else
  if (aClass=="TANH")       n = new CNeuronTanh;       else
  if (aClass=="SIN")        n = new CNeuronSin;        else
  if (aClass=="COS")        n = new CNeuronCos;        
  /*else
  if (aClass=="DISTANCE")   n = new CNeuronDistance;   else
  if (aClass=="WINNER")     n = new CNeuronWinner; */

  return(n);
};








