//-----------------------------------------------------------------------------
//                                  CNeuronDistance                           !
//-----------------------------------------------------------------------------

class CNeuronDistance : public CNeuron {
public:
  float FValue;
  
  void CNeuronDistance() {
    FClass="DISTANCE";
  };

  virtual float GetValue() {
    return (FValue);
  };

  virtual void Run() {  //  
    FValue=0;
    for (int i=0; i<ArraySize(FLeftLinks); i++) {
      float d=FLeftLinks[i].FWeight-FLeftLinks[i].FLeftNeuron.GetValue();
      FValue+=d*d;
    };
    FValue=MathSqrt(FValue);
  };
};
